// $Id: noblankquote.js,v 1.4 2006/09/11 09:48:09 ryzh Exp $

var nbq = {
  removeBlankQuotes : function() {
    var currentIdentity = getCurrentIdentity();
    if (currentIdentity.replyOnTop != 1) {
      var editor = GetCurrentEditor();
      var editorRootElement = editor.rootElement;
      var editorChildNodes = editorRootElement.childNodes;
      var quoteRegexp = new RegExp("^\>+ *$");
      editor.beginTransaction();
      if (GetCurrentEditorType() == "textmail") {
	nbq.removeRecursive(editor, editorChildNodes, quoteRegexp);
      }
      editor.endTransaction();
    }
  },
  
  removeRecursive : function(editor, editorChildNodes, quoteRegexp) {
    for (var i = 0; i < editorChildNodes.length; i++) {
      if (editorChildNodes[i].hasChildNodes()) {
	nbq.removeRecursive(editor, editorChildNodes[i].childNodes, quoteRegexp);
      } else {
	try {
	  if (quoteRegexp.test(editorChildNodes[i].nodeValue.toString())) {
	    editor.deleteNode(editorChildNodes[i]);
	  }
	} catch (e) {}
      }
    }
  },

  initialize : function() {
      setTimeout("nbq.removeBlankQuotes()", 500); 
  }

};

document.getElementById("msgcomposeWindow").addEventListener("load", nbq.initialize, true);
document.getElementById("msgcomposeWindow").addEventListener("compose-window-reopen", nbq.initialize, true);

